List payment methods on file for a profile
GET /api/subscriptions/payment-methods/by-profile/{profileId}
GET
/api/subscriptions/payment-methods/by-profile/{profileId}
Returns the payment methods on file in Shopify for the given profile, independent of any subscription. Used by the create-subscription flow to show payment methods for a customer who does not yet have a subscription.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” profileId
string
Responses
Section titled “ Responses ”Customer’s available payment methods
object
available
required
Array<object>
object
id
required
string
brand
required
string
last_digits
required
string
expiry_month
required
number
expiry_year
required
number
has_shopify_customer
required
False when the profile has no linked Shopify customer (available will be empty)
boolean